Bullet Collision Detection & Physics Library: Bullet::btMultiBodyLinkDoubleData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btMultiBodyLinkDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btMultiBodyLinkDoubleData:
[legend]

## Public Attributes
btQuaternionDoubleData | m_zeroRotParentToThis
btVector3DoubleData | m_parentComToThisPivotOffset
btVector3DoubleData | m_thisPivotToThisComOffset
btVector3DoubleData | m_jointAxisTop [6]
btVector3DoubleData | m_jointAxisBottom [6]
btVector3DoubleData | m_linkInertia
btVector3DoubleData | m_absFrameTotVelocityTop
btVector3DoubleData | m_absFrameTotVelocityBottom
btVector3DoubleData | m_absFrameLocVelocityTop
btVector3DoubleData | m_absFrameLocVelocityBottom
double | m_linkMass
int | m_parentIndex
int | m_jointType
int | m_dofCount
int | m_posVarCount
double | m_jointPos [7]
double | m_jointVel [6]
double | m_jointTorque [6]
double | m_jointDamping
double | m_jointFriction
double | m_jointLowerLimit
double | m_jointUpperLimit
double | m_jointMaxForce
double | m_jointMaxVelocity
char * | m_linkName
char * | m_jointName
btCollisionObjectDoubleData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 1453 of file bullet.h.

## Member Data Documentation

## ◆ m_absFrameLocVelocityBottom

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_absFrameLocVelocityBottom

Definition at line 1465 of file bullet.h.

## ◆ m_absFrameLocVelocityTop

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_absFrameLocVelocityTop

Definition at line 1464 of file bullet.h.

## ◆ m_absFrameTotVelocityBottom

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_absFrameTotVelocityBottom

Definition at line 1463 of file bullet.h.

## ◆ m_absFrameTotVelocityTop

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_absFrameTotVelocityTop

Definition at line 1462 of file bullet.h.

## ◆ m_dofCount

int Bullet::btMultiBodyLinkDoubleData::m_dofCount

Definition at line 1469 of file bullet.h.

## ◆ m_jointAxisBottom

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_jointAxisBottom[6]

Definition at line 1460 of file bullet.h.

## ◆ m_jointAxisTop

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_jointAxisTop[6]

Definition at line 1459 of file bullet.h.

## ◆ m_jointDamping

double Bullet::btMultiBodyLinkDoubleData::m_jointDamping

Definition at line 1474 of file bullet.h.

## ◆ m_jointFriction

double Bullet::btMultiBodyLinkDoubleData::m_jointFriction

Definition at line 1475 of file bullet.h.

## ◆ m_jointLowerLimit

double Bullet::btMultiBodyLinkDoubleData::m_jointLowerLimit

Definition at line 1476 of file bullet.h.

## ◆ m_jointMaxForce

double Bullet::btMultiBodyLinkDoubleData::m_jointMaxForce

Definition at line 1478 of file bullet.h.

## ◆ m_jointMaxVelocity

double Bullet::btMultiBodyLinkDoubleData::m_jointMaxVelocity

Definition at line 1479 of file bullet.h.

## ◆ m_jointName

char* Bullet::btMultiBodyLinkDoubleData::m_jointName

Definition at line 1481 of file bullet.h.

## ◆ m_jointPos

double Bullet::btMultiBodyLinkDoubleData::m_jointPos[7]

Definition at line 1471 of file bullet.h.

## ◆ m_jointTorque

double Bullet::btMultiBodyLinkDoubleData::m_jointTorque[6]

Definition at line 1473 of file bullet.h.

## ◆ m_jointType

int Bullet::btMultiBodyLinkDoubleData::m_jointType

Definition at line 1468 of file bullet.h.

## ◆ m_jointUpperLimit

double Bullet::btMultiBodyLinkDoubleData::m_jointUpperLimit

Definition at line 1477 of file bullet.h.

## ◆ m_jointVel

double Bullet::btMultiBodyLinkDoubleData::m_jointVel[6]

Definition at line 1472 of file bullet.h.

## ◆ m_linkCollider

btCollisionObjectDoubleData* Bullet::btMultiBodyLinkDoubleData::m_linkCollider

Definition at line 1482 of file bullet.h.

## ◆ m_linkInertia

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_linkInertia

Definition at line 1461 of file bullet.h.

## ◆ m_linkMass

double Bullet::btMultiBodyLinkDoubleData::m_linkMass

Definition at line 1466 of file bullet.h.

## ◆ m_linkName

char* Bullet::btMultiBodyLinkDoubleData::m_linkName

Definition at line 1480 of file bullet.h.

## ◆ m_paddingPtr

char* Bullet::btMultiBodyLinkDoubleData::m_paddingPtr

Definition at line 1483 of file bullet.h.

## ◆ m_parentComToThisPivotOffset

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_parentComToThisPivotOffset

Definition at line 1457 of file bullet.h.

## ◆ m_parentIndex

int Bullet::btMultiBodyLinkDoubleData::m_parentIndex

Definition at line 1467 of file bullet.h.

## ◆ m_posVarCount

int Bullet::btMultiBodyLinkDoubleData::m_posVarCount

Definition at line 1470 of file bullet.h.

## ◆ m_thisPivotToThisComOffset

btVector3DoubleData Bullet::btMultiBodyLinkDoubleData::m_thisPivotToThisComOffset

Definition at line 1458 of file bullet.h.

## ◆ m_zeroRotParentToThis

btQuaternionDoubleData Bullet::btMultiBodyLinkDoubleData::m_zeroRotParentToThis

Definition at line 1456 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h